#include<bits/stdc++.h>
using namespace std;


int main() {
    ios_base::sync_with_stdio(false); cin.tie(0);
    
    int n;
    cin >> n;
    vector<int> a(n);
    vector<int> b(n);
    vector<int> rs;
    
    for(int i = 0; i < n; ++i) cin >> a[i];
    for(int i = 0; i < n; ++i) cin >> b[i];
    int c, d, res;
    for(int l = 0; l < n - 1; ++l){
        c = a[l];
        d = b[l];
        for(int r = l + 1; r < n; ++r){
            c ^= a[r];
            d &= b[r];
            res = c * d;
            rs.push_back(res);
        }
    }
    
    int max = *max_element(rs.begin(), rs.end());
    cout << max << endl;
    
    return 0;
}